Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.fileupload
Class FileUploadBase.InvalidContentTypeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.commons.fileupload.FileUploadException
                  org.apache.commons.fileupload.FileUploadBase.InvalidContentTypeException

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  FileUploadBase

    public static class FileUploadBase.InvalidContentTypeException

extends FileUploadException

Thrown to indicate that the request is not a multipart request.

See Also:
  Serialized Form

Constructor Summary
`FileUploadBase.InvalidContentTypeException()` Constructs a `InvalidContentTypeException` with no detail message.
`FileUploadBase.InvalidContentTypeException(java.lang.String message)` Constructs an `InvalidContentTypeException` with the specified detail message.

Method Summary

Methods inherited from class org.apache.commons.fileupload.FileUploadException
`getCause, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FileUploadBase.InvalidContentTypeException

    public FileUploadBase.InvalidContentTypeException()

  Constructs a `InvalidContentTypeException` with no detail message.

### FileUploadBase.InvalidContentTypeException

    public FileUploadBase.InvalidContentTypeException(java.lang.String message)

  Constructs an `InvalidContentTypeException` with the specified detail message.

  Parameters:
    `message` - The detail message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2002-2008 The Apache Software Foundation. All Rights Reserved.